gcc -c -g -I 错误?

为当前最终发行版之前的所有版本提供支持
回复
asdte
帖子: 17
注册时间: 2007-03-13 9:47
来自: 天津
送出感谢: 0
接收感谢: 0
联系:

gcc -c -g -I 错误?

#1

帖子 asdte » 2007-03-15 17:32

csh 的问题解决了 :)

可又出现新问题了 :(

用gcc编译一个软件时提示这个错误

gcc -c -g -I
gcc: no input files
make: *** [com_lib.a(memassign.o)] 错误 1
Failure in make_gamit -- install_software terminated

gcc -I 不知道是怎么回事? 因为我找不到 memassign.c在哪被调用的所以不知道怎么改。

继续请教
头像
oneleaf
论坛管理员
帖子: 10237
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#2

帖子 oneleaf » 2007-03-15 19:20

这个就不知了,对gcc不熟悉。
头像
oneleaf
论坛管理员
帖子: 10237
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#3

帖子 oneleaf » 2007-03-16 8:33

你最好贴到编程的C板块,那边可能会有精通的高手。
关于更换Linux发行版?在基础上都是一样的,不会好很多,你也可以去其它的论坛问问。如:linuxsir等等。
asdte
帖子: 17
注册时间: 2007-03-13 9:47
来自: 天津
送出感谢: 0
接收感谢: 0
联系:

谢谢

#4

帖子 asdte » 2007-03-16 8:42

可原来装 redhat 和 redhat as 4 没有遇到过这样的问题

因为机器更新 那些都装不上 :(
liuzhiguang
帖子: 10
注册时间: 2008-09-12 13:19
送出感谢: 0
接收感谢: 0

Re: gcc -c -g -I 错误?

#5

帖子 liuzhiguang » 2008-10-28 17:34

你在天津什么单位,我也在天津,最近也想学习gamit,装了个ubuntu8.04,装gamit10.34一直装不上去,有兴趣的话交流交流。我的QQ38704406。
asdte
帖子: 17
注册时间: 2007-03-13 9:47
来自: 天津
送出感谢: 0
接收感谢: 0
联系:

Re: gcc -c -g -I 错误?

#6

帖子 asdte » 2008-10-29 12:54

ubuntu 虽然很好

但gamit 还是用 redhat平台好些

我已经好久不折腾这些了~~~
liuzhiguang
帖子: 10
注册时间: 2008-09-12 13:19
送出感谢: 0
接收感谢: 0

Re: gcc -c -g -I 错误?

#7

帖子 liuzhiguang » 2008-10-29 16:44

今天上午终于在ubuntu下安装成功了,ubuntu初始安装时缺少一些相关的支持,比如csh、gfortran、libX11-dev等软件包,把这些装好直接install_software,就可以了,Make.configure文件中MAXATM改为25,其他的和你在redhat下的安装一样,改以下.cshrc就可以了。
asdte
帖子: 17
注册时间: 2007-03-13 9:47
来自: 天津
送出感谢: 0
接收感谢: 0
联系:

Re: gcc -c -g -I 错误?

#8

帖子 asdte » 2008-10-30 8:32

恭喜恭喜,可以成功安装,赶明我也试试

gamit 试运行了吗?

原来装它,有时候在运行中总有一个错误提示

说是gcc库什么的问题

不知道现在的新版本 是不是没这些麻烦~~~
liuzhiguang
帖子: 10
注册时间: 2008-09-12 13:19
送出感谢: 0
接收感谢: 0

Re: gcc -c -g -I 错误?

#9

帖子 liuzhiguang » 2008-10-31 7:45

算了几个数据,都成功了,不过新版和旧版有些差别,正在研究。
回复

回到 “老旧版本支持”